#
# spec file for package heroes-tron (Version 0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_mixer alsa audiofile esound kdelibs-artsd xf86
# usedforbuild    SDL SDL-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         heroes-tron
%define myname heroes
Copyright:    GPL
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.12
Release:      105
Source0:      %{myname}-%{version}.tar.bz2
Source1:      %{myname}-data-1.3.tar.bz2  
Source2:      %{myname}-sound-effects-1.0.tar.bz2  
Source3:      %{myname}-sound-tracks-1.0.tar.bz2
URL:          http://heroes.sourceforge.net/download.html
BuildRoot:    %{_tmppath}/%{myname}-%{version}-root
Summary:      "Tron" and "Nibbles" games

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but includes
many graphical improvements and new game features.  In it, you must
maneuver a small vehicle around a world and collect powerups while avoiding
obstacles, your opponents' trails, and even your own trail. Several modes
of play are available, including "get-all-the-bonuses", deathmatch, and
"squish-the-pedestrians".

Authors:
--------
    Alexandre Duret-Lutz (Pollux) <duret_g@epita.fr> -Wrote the original source
    code, ported it to GNU/Linux and created a few levels.
    Romual Genevois (Guen) <rgenevois@besancon.net> -Had the idea of that game,
    designed most of it, drew the graphics, created most of the levels.
    Alexandre Liverneaux (Alexel) <alex.livernaux@wanadoo.fr> -Composed the soundtracks.
    Philippe Meisburger (TNK) <philmeis@mail.dotcom.fr> -Composed the soundtracks
    and created some levels.

SuSE series: fun

%prep
%setup -n %{myname}-%{version} -b 1 -b 2 -b 3

%build 
%define myprefix /usr 
%define sharedir %{myprefix}/share
%define datadir  %{sharedir}/games
%{?suse_update_config:%{suse_update_config}}
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
		--datadir=%{datadir} \
		--prefix=%{myprefix} \
		--mandir=%{sharedir}/man \
		--infodir=%{sharedir}/info \
		--bindir=%{myprefix}/bin \
		--without-ggi \
		--without-gii \
		--without-mikmod \
		--with-sdl \
		--with-sdl-mixer \
		--disable-joystick 
make
cd ../%{myname}-data-1.3
./configure \
		--prefix=%{myprefix} \
		--datadir=%{datadir} 
cd ../%{myname}-sound-effects-1.0
./configure \
		--prefix=%{myprefix} \
		--datadir=%{datadir}
cd ../%{myname}-sound-tracks-1.0
./configure \
                --prefix=%{myprefix} \
		--datadir=%{datadir}     

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/%{myprefix}/bin/heroes $RPM_BUILD_ROOT/%{myprefix}/bin/heroes-tron
cd ../%{myname}-data-1.3 
make DESTDIR=$RPM_BUILD_ROOT install
cd ../%{myname}-sound-effects-1.0 
make DESTDIR=$RPM_BUILD_ROOT install
cd ../%{myname}-sound-tracks-1.0 
make DESTDIR=$RPM_BUILD_ROOT install
 

%clean
rm -rf $RPM_BUILD_ROOT

%files  
%defattr(-, root, root)
%doc COPYING NEWS README THANKS TODO AUTHORS 	 
%{myprefix}/bin/heroes-tron
%{sharedir}/info/heroes.info*
%{sharedir}/man/man6/heroes.6*
%{datadir}/heroes/etc/heroesrc 
%{datadir}/locale/*/LC_MESSAGES/heroes.mo
%{datadir}/heroes/levels/niv*.lvl
%{datadir}/heroes/levels/level.lst
%{datadir}/heroes/pics/*.pcx
%{datadir}/heroes/tilesets/level*.pie
%{datadir}/heroes/tilesets/level*.glz
%{datadir}/heroes/tilesets/level*.pcx
%{datadir}/heroes/sfx/sfx.conf
%{datadir}/heroes/sfx/*.wav   
%{datadir}/heroes/mod/sound.conf
%{datadir}/heroes/mod/*.xm

%changelog -n heroes-tron
* Fri Sep 21 2001 - adostal@suse.cz
- fix info pages in %%file section
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Aug 06 2001 - adostal@suse.cz
- update to version 0.12
* Wed Jun 20 2001 - adostal@suse.cz
- fix neededforbuild
* Fri Jun 01 2001 - adostal@suse.cz
- creation a new package
